Forum Papoo Shop Software Forum

Fehlermeldung Shop Plugin

Guten Abend!

Ich habe das Onlineshop Plugin installiert und bekomme im Backend folgende Fehlermeldung:

Warning: array_unique() expects parameter 1 to be array, null given in /www/htdocs/Kundenaccount/plugins/papoo_shop/lib/shop_class_settings.php on line 831

Woran kann das liegen?

Viele Grüße
Wolfgang


Von Wolfgang Wilbois am 08.02.2015; 22:00:48 Uhr [1270 Hits] Kunde Plugin FAQ

Re: Fehlermeldung Shop Plugin

Hallo Wolfgang,

es handelt sich hierbei um ein ähnliches Problem wie hier.
http://www.papoo.de/cms-forum/forum-cms-papoo/forumid-1-thread-28818-php-fehler-auf-handy-bei-style-kopie.html#28809

Da müssen wir das Paket aktualisieren.

Für Dich aber schon mal vorab hier die Lösung:

Öffne die besagte Datei aus der Fehlermeldung und gehe in die Zeile 831.

Dort fügst Du jetzt vor der Zeile, in der "...array_unique..." steht, folgende Zeilen ein:


if (!is_array($this->welche_kategorie_bearbeiten_rechte))
{
$this->welche_kategorie_bearbeiten_rechte=array();
}


Das sollte den Fehler beheben.

Gruß
Christoph


Von Christoph Zimmer am 11.02.2015; 14:46:27 Uhr [387 Hits] Entwickler

Re: Fehlermeldung Shop Plugin

Hi Christoph,

Danke, das war's.


Viele Gruesse
Wolfgang, 2W-Design.de
"Wer aufhoert besser zu werden, hoert auf gut zu sein" Zitat von Philip Rosenthal (* 1916)

Von 2w-design am 18.02.2015; 22:44:54 Uhr [1236 Hits] Reseller Formmanager

Sie müssen sich anmelden, um einen Beitrag schreiben zu können.

.

xxnoxx_zaehler